# UCASE or UPPER function

UCASE or UPPER takes a character expression as a parameter and returns a string in which all alpha characters have been converted to uppercase.

#### Syntax

    UCASE or UPPER ( CharacterExpression )

If the parameter type is CHAR , the return type is CHAR. Otherwise, the return type is VARCHAR.
Note: UPPER and LOWER follow the database locale. See territory=ll_CC attribute for more information about specifying locale.

The length and maximum length of the returned value are the same as the length and maximum length of the parameter.

#### Example

To return the string `aSD1#w` in uppercase, use the following clause:

    VALUES UPPER('aSD1#w')

The value returned is `ASD1#W`.
Parent topic: Built-in functions